- [HTTP request](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#body.request_body)
- [Response body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#body.response_body)
- [Authorization scopes](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#body.aspect)
- [Try it!](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/get#try-it)

Gets a Colab runtime assigned to the requesting user.

### HTTP request

`GET https://colaboratory.googleapis.com/v1beta/{name=runtimes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the runtime to retrieve. Format: `runtimes/{runtimeId}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/colab/api/reference/rest/v1beta/runtimes#Runtime`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/colaboratory`
- `
  https://www.googleapis.com/auth/colaboratory.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).